package com.huiju.estateagents.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaChannel;

import java.time.LocalDate;

/**
 * <p>
 *   服务类
 * </p>
 *
 * @author jobob
 * @since 2019-09-17
 */
public interface TaChannelService extends IService<TaChannel> {

    /**
     * 渠道引进客户统计
     * @param pageNum
     * @param pageSize
     * @param orgId
     * @param startDate
     * @param endDate
     * @param channelType
     * @param buildingId
     * @return
     */
    ResponseBean getChannelIntroductionList(Integer pageNum, Integer pageSize, Integer orgId, LocalDate startDate, LocalDate endDate, String channelType, String buildingId, Integer channelId);
}
